Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.importer
Class AdmExtracter

    java.lang.Object
      com.gisgraphy.importer.AbstractSimpleImporterProcessor
          com.gisgraphy.importer.AdmExtracter

All Implemented Interfaces:
  IImporterProcessor

    public class AdmExtracter

extends AbstractSimpleImporterProcessor

Extract 4 files in CSV format in order to import Adm. This files will be in the same format as the Geonames Adm1Codes.txt file

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.importer.AbstractSimpleImporterProcessor
`COMMENT_START, currentFile, importerConfig, in, internationalisationService, logger, readFileLine, status, statusMessage, totalReadLine, transactionManager, txDefinition, txStatus`

Constructor Summary
`AdmExtracter()` Default Constructor

Method Summary
`protected void` | `flushAndClear()` Should flush and clear all the Daos that are used by the processor.
`protected File[]` | `getFiles()`
`protected int` | `getNumberOfColumns()`
`protected void` | `processData(String line)` Process a read line of the geonames file, must be implemented by the concrete class
`List<NameValueDTO<Integer>>` | `rollback()` /!
`protected void` | `setCommitFlushMode()` Will flush after every commit
`void` | `setup()` Template method that can be override.
`boolean` | `shouldBeSkipped()`
`protected boolean` | `shouldIgnoreComments()` Whether the filter should ignore the comments (i.e. lines starting with #)
`protected boolean` | `shouldIgnoreFirstLine()` Template Method : Whether the processor should ignore the first line of the input
`protected void` | `tearDown()` Template method that can be override.

Methods inherited from class com.gisgraphy.importer.AbstractSimpleImporterProcessor
`checkNumberOfColumn, commit, countLines, decrementReadedFileLine, dumpFields, getCurrentFileName, getMaxInsertsBeforeFlush, getNumberOfLinesToProcess, getReadFileLine, getStatus, getStatusMessage, getTotalReadLine, incrementReadedFileLine, isEmptyField, isEndOfDocument, needCommit, onFileProcessed, process, processError, readLineAndProcessData, resetStatus, rollbackTransaction, setImporterConfig, setInternationalisationService, setTransactionManager, startTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdmExtracter

    public AdmExtracter()

  Default Constructor

Method Detail

### processData

    protected void processData(String line)

  Description copied from class: `AbstractSimpleImporterProcessor`
  Process a read line of the geonames file, must be implemented by the concrete class

  Specified by:
    `processData` in class `AbstractSimpleImporterProcessor`
  Parameters:
    `line` - the line to process

### shouldBeSkipped

    public boolean shouldBeSkipped()

  Specified by:
    `shouldBeSkipped` in interface `IImporterProcessor`
  Overrides:
    `shouldBeSkipped` in class `AbstractSimpleImporterProcessor`
  Returns:
    true if the processor should Not be executed

### tearDown

    protected void tearDown()

  Description copied from class: `AbstractSimpleImporterProcessor`
  Template method that can be override. This method is called after the end of the process. it is not called for each file processed. You should always call super.tearDown() when you overide this method

  Overrides:
    `tearDown` in class `AbstractSimpleImporterProcessor`

### setup

    public void setup()

  Description copied from class: `AbstractSimpleImporterProcessor`
  Template method that can be override. This method is called before the process start. it is not called for each file processed.

  Overrides:
    `setup` in class `AbstractSimpleImporterProcessor`

### shouldIgnoreFirstLine

    protected boolean shouldIgnoreFirstLine()

  Description copied from class: `AbstractSimpleImporterProcessor`
  Template Method : Whether the processor should ignore the first line of the input

  Specified by:
    `shouldIgnoreFirstLine` in class `AbstractSimpleImporterProcessor`
  Returns:
    true if the processor should ignore first line

### shouldIgnoreComments

    protected boolean shouldIgnoreComments()

  Description copied from class: `AbstractSimpleImporterProcessor`
  Whether the filter should ignore the comments (i.e. lines starting with #)

  Specified by:
    `shouldIgnoreComments` in class `AbstractSimpleImporterProcessor`
  See Also:
    `AbstractSimpleImporterProcessor.COMMENT_START`

### setCommitFlushMode

    protected void setCommitFlushMode()

  Description copied from class: `AbstractSimpleImporterProcessor`
  Will flush after every commit

  Specified by:
    `setCommitFlushMode` in class `AbstractSimpleImporterProcessor`
  See Also:
    `AbstractSimpleImporterProcessor.flushAndClear()`

### flushAndClear

    protected void flushAndClear()

  Description copied from class: `AbstractSimpleImporterProcessor`
  Should flush and clear all the Daos that are used by the processor. This avoid memory leak

  Specified by:
    `flushAndClear` in class `AbstractSimpleImporterProcessor`

### getNumberOfColumns

    protected int getNumberOfColumns()

  Specified by:
    `getNumberOfColumns` in class `AbstractSimpleImporterProcessor`
  Returns:
    the number of fields the processed Geonames file should have

### getFiles

    protected File[] getFiles()

  Specified by:
    `getFiles` in class `AbstractSimpleImporterProcessor`
  Returns:
    The files to be process
  See Also:
    `ImporterHelper`

### rollback

    public List<NameValueDTO<Integer>> rollback()

  Description copied from interface: `IImporterProcessor`
  /!\ USE THIS METHOD VERY CAREFULLY /!\ : If you call this function, all the imported data for the specified importer will be deleted

  Returns:
    a NameValueDTO with the name of the deleted object and the number of deleted Object. No entry will be return for Object that were 0 object will be deleted except if an error occurred during the deletion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.